
bool Exceeds(int cmd, double v1, double v2, double tolerance = 0)
{
   int dir = GetGeneralDirForCmd(cmd);
   
   if(dir == OP_BUY && v1+tolerance > v2)
      return(true);
   else if(dir == OP_SELL && v1-tolerance < v2)
      return(true);
   else
      return(false);
}

double AddAccordingToDir(int dir, double v1, double v2)
{
   int genDir = GetGeneralDirForCmd(dir);
   double value = -1;
   
   if(genDir == OP_BUY)
      value = v1+v2;
   else if(genDir == OP_SELL)
      value = v1-v2;
      
   return(value);
}

double SubtractAccordingToDir(int dir, double v1, double v2)
{
   int genDir = GetGeneralDirForCmd(dir);
   double value = -1;
   
   if(genDir == OP_BUY)
      value = v1-v2;
   else if(genDir == OP_SELL)
      value = v1+v2;
      
   return(value);
}