
int CurOrderGetProfitInPoints()
{
   string f = "CurOrderGetProfitInPoints";
   
   Debug(f, "started");
   
 //the order's profit in Pips is calculated
   int oType = OrderType();
   int profit;
   
   double point = MarketInfo(OrderSymbol(), MODE_POINT);
   int digits = MarketInfo(OrderSymbol(), MODE_DIGITS);
   /*if(point == 0)
      point = 0.0001;*/
      
   double ocp = OrderClosePrice();
   double oop = OrderOpenPrice();
   
   string tmpLogStr;
   double profitDouble = -1;
   
 //according to direction we calculate the orderProfit in Pips
   if(oType == OP_BUY)
   {
      tmpLogStr = "( OCP="+ocp+" - OOP="+oop+" ) / "+ point;
      profitDouble = ((ocp - oop)/point);
   }
   else if(oType == OP_SELL)
   {
      tmpLogStr = "( OOP="+oop+" - OCP="+ocp+" ) / "+ point;
      profitDouble = ((oop - ocp)/point);
   }
 //for pending orders
   else
   {
      tmpLogStr = StringConcatenate("it\'s a ", GetStrFromCommand(oType),
         ", profitCalculation not applicable");
    //for pendings the profit is 0
      profitDouble = 0;
   }
   
 //Normalizing has to be done to obtain correct results
   profitDouble = NormalizeDouble(profitDouble,0);
   profit = profitDouble;
   
   Debug(f, StringConcatenate(
      "for profitCalculation we use the following formula:\n  ", tmpLogStr));
   
   Debug(f, StringConcatenate("calculated a profit of ",profit," points"));
   
   return(profit);
}